from Ft.Server.Server import Drivers

def GetDriver(tester,
              userName=None,
              passwd=None,
              logger = None,
              documentRoot = None,
              properties=None):

    if documentRoot is None:
        documentRoot = '/'
    if userName is None:
        userName = tester.test_data['userName']
    if passwd is None:
        passwd = tester.test_data['password']
    if logger is None:
        logger = tester.test_data['logger']
      
    d = Drivers.Begin(documentRoot,logger,properties)
    d.login(userName,passwd)
    return d
